Name:           python-gitapi
Version:        1.0.1
Release:        1%{?dist}
Summary:        Pure-Python API to git, which uses the command-line interface

License:        MIT
URL:            https://bitbucket.org/haard/gitapi
Source0:        https://pypi.python.org/packages/source/g/gitapi/gitapi-%{version}.tar.gz
# Ask upstream to include license in a separate file here:
# https://bitbucket.org/haard/gitapi/issue/3/include-the-license-in-a-separate-file
Source1:        LICENSE
# Avoid the 'Please tell me who you are.' git error during mock tests.
Patch0:         python-gitapi-%{version}-test-suite.patch

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools git
Requires:       git

%description
Pure-Python API to git, which uses the command-line interface.

%package -n     python3-gitapi
Summary:        Pure-Python API to git, which uses the command-line interface
BuildRequires:  python3-devel python3-setuptools
Requires:       git

%description -n python3-gitapi
Pure-Python API to git, which uses the command-line interface.

%prep
%setup -q -n gitapi-%{version}
cp %{SOURCE1} .
# Remove egg
rm -r gitapi.egg-info
# Apply patches
sed -i 's/\r$//' gitapi/testgitapi.py
%patch0 -p1
# Correct end of line encoding for README.rst
sed -i 's/\r$//' README.rst
# Prep python3
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python2} setup.py build


%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
pushd %{py3dir}
%{__python3} setup.py test
popd

%{__python2} setup.py test


%files
%doc README.rst LICENSE
%{python2_sitelib}/gitapi-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/gitapi/

%files -n python3-gitapi
%doc README.rst LICENSE
%{python3_sitelib}/gitapi-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/gitapi/

%changelog
* Mon Oct 27 2014 Julien Enselme <jujens@jujens.eu> - 1.0.1-1
- Update to 1.0.1

* Mon Oct 27 2014 Julien Enselme <jujens@jujens.eu> - 1.0.0-5
- Add license as source and not as patch.
- Use %%{version} tag in patch.

* Fri Aug 29 2014 Julien Enselme <jujens@jujens.eu> - 1.0.0-4
- Fix the wrong-file-end-of-line-encoding error in README.rst.
- Fix the summary-not-capitalized error.
- Add the license file.

* Thu Aug 14 2014 Julien Enselme <jujens@jujens.eu> - 1.0.0-3
- Don't duplicate the BR of gitapi.
- Remove egg-info from upstream.

* Thu Aug 14 2014 Julien Enselme <jujens@jujens.eu> - 1.0.0-2
- Add git as a BuildRequires. The git command is required to complete the tests.
- Add patch1 to configure author in the git repos to avoid the 'Please tell me who you are.' git error.

* Sun Aug 03 2014 Julien Enselme <jujens@jujens.eu> - 1.0.0-1
- Initial packaging.
